package com.ruoyi.project.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tc_project_equipment_history
 * 
 * @author ruoyi
 * @date 2024-07-22
 */
public class TcProjectEquipmentHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 关联项目Id */
    @Excel(name = "关联项目Id")
    private Long projectId;

    /** 设备规格 */
    @Excel(name = "设备规格")
    private String standard;

    /** 设备数量 */
    @Excel(name = "设备数量")
    private Long equipmentQuantity;

    /** 梯型 */
    @Excel(name = "梯型")
    private String elevatorModel;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String equipmentType;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal amount;

    /** 总计 */
    @Excel(name = "总计")
    private BigDecimal totalPrice;

    private Long version;

    /** 删除标记（0：启用  1：停用） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setStandard(String standard) 
    {
        this.standard = standard;
    }

    public String getStandard() 
    {
        return standard;
    }
    public void setEquipmentQuantity(Long equipmentQuantity) 
    {
        this.equipmentQuantity = equipmentQuantity;
    }

    public Long getEquipmentQuantity() 
    {
        return equipmentQuantity;
    }
    public void setElevatorModel(String elevatorModel) 
    {
        this.elevatorModel = elevatorModel;
    }

    public String getElevatorModel() 
    {
        return elevatorModel;
    }
    public void setEquipmentType(String equipmentType) 
    {
        this.equipmentType = equipmentType;
    }

    public String getEquipmentType() 
    {
        return equipmentType;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setTotalPrice(BigDecimal totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalPrice() 
    {
        return totalPrice;
    }

    public Long getVersion() {
        return version;
    }

    public void setVersion(Long version) {
        this.version = version;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("standard", getStandard())
            .append("equipmentQuantity", getEquipmentQuantity())
            .append("elevatorModel", getElevatorModel())
            .append("equipmentType", getEquipmentType())
            .append("amount", getAmount())
            .append("totalPrice", getTotalPrice())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
